public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen/
Date: Wed, 19 Jan 2022 16:45:16 +0000 (UTC)	[thread overview]
Message-ID: <1642610701.2f67555306927d6bf6e93328a2be6c45d654842b.ionen@gentoo> (raw)

commit:     2f67555306927d6bf6e93328a2be6c45d654842b
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 19 16:44:48 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Jan 19 16:45:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f675553

games-emulation/mednafen: add 1.29.0

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-emulation/mednafen/Manifest               |  1 +
 games-emulation/mednafen/mednafen-1.29.0.ebuild | 80 +++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/games-emulation/mednafen/Manifest b/games-emulation/mednafen/Manifest
index 5ef17b7c8d8c..03d23eaad428 100644
--- a/games-emulation/mednafen/Manifest
+++ b/games-emulation/mednafen/Manifest
@@ -1 +1,2 @@
 DIST mednafen-1.27.1.tar.xz 3363540 BLAKE2B f74c251300af2348db00d68ef2cd998bdf4d6fb06873e03e0027d836b5b1217901b1e2cf922877b1db4c278ba4cc2674e4875a17fff52a3b8be5a447670a6385 SHA512 f55d86baa8c77fc98aae63a38235eb64f64131f180c40ed1ac7cd2ad845230348fbba05643eb5e6af203e56c39c8011b632d2bcecbd2c9f2c19b2447f6b99e83
+DIST mednafen-1.29.0.tar.xz 3512784 BLAKE2B bea5ecfe00f97d1cf81eccfe4264d8fea666c9c8543449ca8c1e4e064f89a100f6bbe77b23d42d5d9c4a7e005792006d599852a201f1d95a756742bc58ecda81 SHA512 375f0fb4f12907faf56b4e9ecdc44c1655b0660a3773240fe3118f2b261e171479b8eb254299f899fc442b54041c941eab2a5f343aec559d9731c3e92cde0569

diff --git a/games-emulation/mednafen/mednafen-1.29.0.ebuild b/games-emulation/mednafen/mednafen-1.29.0.ebuild
new file mode 100644
index 000000000000..a57c4dde457d
--- /dev/null
+++ b/games-emulation/mednafen/mednafen-1.29.0.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic pax-utils toolchain-funcs
+
+DESCRIPTION="Argument-driven multi-system emulator utilizing OpenGL and SDL"
+HOMEPAGE="https://mednafen.github.io/"
+SRC_URI="https://mednafen.github.io/releases/files/${P}.tar.xz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="alsa cpu_flags_ppc_altivec flac jack"
+
+RDEPEND="
+	app-arch/zstd:=
+	dev-libs/lzo:2
+	dev-libs/trio
+	media-libs/libsdl2[joystick,opengl,video]
+	media-libs/tremor
+	media-sound/musepack-tools
+	sys-libs/zlib:=[minizip]
+	virtual/libintl
+	alsa? ( media-libs/alsa-lib )
+	flac? ( media-libs/flac )
+	jack? ( virtual/jack )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	sys-devel/gettext
+	virtual/pkgconfig"
+
+src_prepare() {
+	default
+
+	# don't let the build system mess with CFLAGS more than necessary,
+	# most are questionable (see README.PORTING/configure.ac comments)
+	# -fwrapv: kept for bug #539992
+	sed -e '/CC_OPT.*CODEGEN_FLAGS/{/-fwrapv/!d}' \
+		-e '/CC_OPT.*NOPICPIE_FLAGS/d' \
+		-e '/CC_OPT.*NO_STACK_PROTECTOR_FLAGS/d' \
+		-e '/CC_OPT.*OPTIMIZER_FLAGS/c\:' \
+		-e '/CC_OPT.*-mtune.*SS_EXTRA_FLAGS/d' \
+		-e '/LINK_FLAG.*NOPICPIE_LDFLAGS/d' \
+		-i configure.ac || die
+	eautoreconf
+}
+
+src_configure() {
+	# disable unnecessary warnings not to confuse users (see src/types.h)
+	append-cppflags -DMDFN_DISABLE_{NO_OPT,PICPIE}_ERRWARN
+
+	local myeconfargs=(
+		$(use_enable alsa)
+		$(use_enable cpu_flags_ppc_altivec altivec)
+		$(use_enable jack)
+		$(use_with flac libflac)
+		--with-external-{libzstd,lzo,mpcdec,tremor,trio}
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+	emake AR="$(tc-getAR)"
+}
+
+src_install() {
+	local DOCS=(
+		ChangeLog
+		Documentation/{cheats.txt,fname_format.txt,modules.def,settings.def}
+	)
+	local HTML_DOCS=( Documentation/*.{css,html,png} )
+
+	default
+
+	pax-mark m "${ED}"/usr/bin/mednafen
+}


             reply	other threads:[~2022-01-19 16:45 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-19 16:45 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-12 20:25 [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen/ Ionen Wolkens
2024-04-26 21:01 Sam James
2024-04-06 20:20 Ionen Wolkens
2022-11-29  6:58 Jakov Smolić
2022-02-16  6:58 Ionen Wolkens
2021-06-23  2:24 Ionen Wolkens
2021-06-15 21:34 Ionen Wolkens
2021-06-02 10:56 Ionen Wolkens
2021-05-09  4:42 Sam James
2019-10-28 21:38 James Le Cuirot
2017-08-13 12:36 David Seifert
2017-06-11 21:44 David Seifert
2017-06-05 20:19 David Seifert
2017-01-22 15:01 Agostino Sarubbo
2017-01-22 14:53 Agostino Sarubbo
2016-02-01  8:14 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1642610701.2f67555306927d6bf6e93328a2be6c45d654842b.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox